oracle.jcr

## Interface OracleNamespaceRegistry

All Superinterfaces:
  NamespaceRegistry

Deprecated.
OracleNamespaceRegistry is the JCR namespace registry.

The namespace registry is cached by the OracleNamespaceRegistry object. The cache is automatically refreshed each time `registerNamespace` or `unregisterNamespace` is called on the OracleNamespaceRegistry object. Call `refresh` to explicitly refresh the cache.

Refer to XDBRepositoryConfiguration for further information on how the JCR namespace registry is stored by the XML DB Content Connector.

    public interface OracleNamespaceRegistry
    extends NamespaceRegistry

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `refresh()` Deprecated. Refresh the in-memory copy of the JCR namespace registry.

### Methods inherited from interface javax.jcr.NamespaceRegistry

`getPrefix, getPrefixes, getURI, getURIs, registerNamespace, unregisterNamespace`

### Method Detail

#### refresh

    void refresh()
          throws RepositoryException

Deprecated.
Refresh the in-memory copy of the JCR namespace registry.

Throws:
  `RepositoryException` - if the operation fails

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.